\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Geomview

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Output Operators for CGAL Basic Library Classes
Geomview Reference

##

Output operators are provided for polyhedral surfaces, as well as for 3D and 2D triangulations.

The latter allow to visualize terrrains if the point type isa 3D point.

## Functions
template<class Traits , class HDS >
Geomview_stream & | operator<< (Geomview_stream &G, const Polyhedron_3< Traits, HDS > &P)
| Inserts the polyhedron `P` into the stream `gs`. More...
template<class GT , class TDS >
Geomview_stream & | operator<< (Geomview_stream &G, const Triangulation_2< GT, TDS > &T)
| Inserts the 2D triangulation `T` into the stream `gs`. More...
template<class GT , class TDS >
Geomview_stream & | operator<< (Geomview_stream &G, const Triangulation_3< GT, TDS > &T)
| Inserts the 3D triangulation `T` into the stream `gs`. More...

## Function Documentation

template<class Traits , class HDS >

Geomview_stream & operator<< | ( | Geomview_stream & | G,
|  | const Polyhedron_3< Traits, HDS > & | P
| ) |  |
| related

Inserts the polyhedron `P` into the stream `gs`.

Include: `CGAL/IO/Polyhedron_geomview_ostream.h`

template<class GT , class TDS >

Geomview_stream & operator<< | ( | Geomview_stream & | G,
|  | const Triangulation_2< GT, TDS > & | T
| ) |  |
| related

Inserts the 2D triangulation `T` into the stream `gs`.

The actual output depends on whether the stream is in wired mode or not. Also note that in the case of terrains (when `GT::Point_2` is `Point_3<R>`), then the 3D terrain is displayed.

template<class GT , class TDS >

Geomview_stream & operator<< | ( | Geomview_stream & | G,
|  | const Triangulation_3< GT, TDS > & | T
| ) |  |
| related

Inserts the 3D triangulation `T` into the stream `gs`.

The actual output depends on whether the stream is in wired mode or not.